#ifndef _E16KEYEDIT_H_
#define _E16KEYEDIT_H_

#if __GNUC__			/* FIXME - Use autofoo */
#define __UNUSED__ __attribute__((unused))
#else
#define __UNUSED__
#endif

#if GTK_CHECK_VERSION(3,0,0)
#define USE_GTK 3

#define gtk_hbox_new(homogeneous, spacing) \
	gtk_box_new(GTK_ORIENTATION_HORIZONTAL, spacing)
#define gtk_vbox_new(homogeneous, spacing) \
	gtk_box_new(GTK_ORIENTATION_VERTICAL, spacing)

#else
#define USE_GTK 2
#endif

/* ipc.c */
extern gint         CommsInit(void (*msg_receive_func) (gchar * msg));
extern void         CommsSend(const gchar * s);

/* menus.c */
extern GtkWidget   *CreateBarSubMenu(GtkWidget * menu, const char *szName);
extern GtkWidget   *CreateRightAlignBarSubMenu(GtkWidget * menu,
					       const char *szName);
extern GtkWidget   *CreateMenuItem(GtkWidget * menu, const char *szName,
				   const char *szAccel, const char *szTip,
				   GCallback func, const void *data);

/* viewer.c */
extern GtkAccelGroup *accel_group;
void                on_exit_application(void);

#endif /* _E16KEYEDIT_H_ */
